package org.processmining.plugins.log.ui.logdialog;

import javax.swing.AbstractListModel;

import org.deckfour.xes.model.XEvent;
import org.deckfour.xes.model.XTrace;
import org.processmining.framework.util.Pair;
import org.processmining.plugins.interactivevisualization.EID;

/**
 * @author Christian W. Guenther (christian@deckfour.org)
 * 
 */
public class XTraceListModel extends AbstractListModel<Pair<EID, XEvent>> {

	/**
	 * 
	 */
	private static final long serialVersionUID = 4735900378220460350L;
	protected XTrace ateList;
	protected int traceIdx;

	public XTraceListModel(XTrace list, int traceIdx) {
		ateList = list;
		this.traceIdx = traceIdx;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see javax.swing.ListModel#getElementAt(int)
	 */
	public Pair<EID, XEvent> getElementAt(int index) {
		try {
			XEvent event = ateList.get(index);
			
			return new Pair<EID, XEvent>(new EID(traceIdx, index), event);
		} catch (IndexOutOfBoundsException e) {
			e.printStackTrace();
			return null;
		}
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see javax.swing.ListModel#getSize()
	 */
	public int getSize() {
		return ateList.size();
	}
}
